IndexErrorException Class Reference

Class to allow us to throw an `IndexError` from C++ and have it make it back to Python. More...

`#include <Exceptions.h>`

Inheritance diagram for IndexErrorException:

## Public Member Functions

| IndexErrorException (int i)
int | index () const
| ~IndexErrorException () throw ()

## Detailed Description

Class to allow us to throw an `IndexError` from C++ and have it make it back to Python.

Definition at line 18 of file Exceptions.h.

## Constructor & Destructor Documentation

## IndexErrorException()

IndexErrorException::IndexErrorException | ( | int | i | ) |

inline

Definition at line 20 of file Exceptions.h.

## ~IndexErrorException()

IndexErrorException::~IndexErrorException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 23 of file Exceptions.h.

## Member Function Documentation

## index()

int IndexErrorException::index | ( |  | ) | const

inline

Definition at line 22 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h